aboutsummaryrefslogtreecommitdiff
path: root/patches
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-08-20 00:19:06 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-08-20 00:19:06 +0000
commitd3885fd5404548f25f031b4d059d3082599a3be2 (patch)
tree3cb2f0c984f6615ea574108ea768a6494aa402ca /patches
parent5afa0631294813fe8f94197b8d713f30b0b8ae7e (diff)
downloadslackbuilds-d3885fd5404548f25f031b4d059d3082599a3be2.tar.gz
slackbuilds-d3885fd5404548f25f031b4d059d3082599a3be2.tar.bz2
added libtiff
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@34 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'patches')
-rw-r--r--patches/libtiff/libtiff.SlackBuild110
-rw-r--r--patches/libtiff/slack-desc19
-rw-r--r--patches/libtiff/tiff-3.8.2.goo-sec.diff.gzbin0 -> 6121 bytes
-rw-r--r--patches/libtiff/tiff-3.8.2.tiffsplit.commandline.overflow.diff.gzbin0 -> 423 bytes
4 files changed, 129 insertions, 0 deletions
diff --git a/patches/libtiff/libtiff.SlackBuild b/patches/libtiff/libtiff.SlackBuild
new file mode 100644
index 00000000..a9ee549d
--- /dev/null
+++ b/patches/libtiff/libtiff.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+#
+# got it from ftp://ftp.slackware.com/pub/slackware/slackware-10.2/patches/source/libtiff/libtiff.SlackBuild
+# small changes by rhatto
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="nano"
+ARCH=${ARCH:=x86_64}
+VERSION=${VERSION:=3.8.2}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+LIBDIR=/usr/lib
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR=/usr/lib64
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="ftp://ftp.remotesensing.org/pub/libtiff/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+PKG="$TMP/package-$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+rm -rf tiff-$VERSION
+tar xjvf $SRC_DIR/tiff-$VERSION.tar.bz2
+cd tiff-$VERSION
+
+chown -R root:root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+
+if [ "$VERSION" == "3.8.2" ]; then
+ zcat $SRC_DIR/tiff-3.8.2.goo-sec.diff.gz | patch -p1 --verbose || exit 1
+ zcat $SRC_DIR/tiff-3.8.2.tiffsplit.commandline.overflow.diff.gz | patch -p1 --verbose || exit 1
+fi
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --program-prefix="" \
+ --program-suffix="" \
+ --libdir=$LIBDIR \
+ $ARCH-slackware-linux
+
+make -j3 || exit 1
+make install DESTDIR=$PKG || exit 1
+rm -r $PKG/usr/share
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+strip -g $PKG/$LIBDIR/lib*.a
+chmod 755 $PKG/$LIBDIR/libtiff*.so.*
+chown -R root:bin $PKG/usr/bin
+mkdir -p $PKG/usr/doc/libtiff-$VERSION
+cp -a \
+ COPYRIGHT README RELEASE-DATE TODO VERSION \
+ $PKG/usr/doc/libtiff-$VERSION
+
+mv $PKG/usr/local/man $PKG/usr
+rmdir $PKG/usr/local
+
+# I'd use that shiny new manpage script here but all the
+# .3 manpages end with '.3tiff'.
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $REPOS/libtiff-$VERSION-$ARCH-$BUILD.tgz
+
diff --git a/patches/libtiff/slack-desc b/patches/libtiff/slack-desc
new file mode 100644
index 00000000..42c79f47
--- /dev/null
+++ b/patches/libtiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libtiff: libtiff (a library for reading and writing TIFF files)
+libtiff:
+libtiff: This package provides support for the Tag Image File Format (TIFF),
+libtiff: a widely used format for storing image data. Included is the libtiff
+libtiff: library (for reading and writing TIFF files), and a collection of
+libtiff: tools for working with TIFF images.
+libtiff:
+libtiff:
+libtiff:
+libtiff:
+libtiff:
diff --git a/patches/libtiff/tiff-3.8.2.goo-sec.diff.gz b/patches/libtiff/tiff-3.8.2.goo-sec.diff.gz
new file mode 100644
index 00000000..87fc289a
--- /dev/null
+++ b/patches/libtiff/tiff-3.8.2.goo-sec.diff.gz
Binary files differ
diff --git a/patches/libtiff/tiff-3.8.2.tiffsplit.commandline.overflow.diff.gz b/patches/libtiff/tiff-3.8.2.tiffsplit.commandline.overflow.diff.gz
new file mode 100644
index 00000000..8e5a2e0c
--- /dev/null
+++ b/patches/libtiff/tiff-3.8.2.tiffsplit.commandline.overflow.diff.gz
Binary files differ